# frozen_string_literal: true

module ProductAggregator
  # ProductAggregator::Configuration yields the configuration of product-aggregator-rb.
  class Configuration
    attr_accessor :max_retry
    attr_accessor :expiration_time
    attr_accessor :logger
    attr_accessor :host
    attr_accessor :user
    attr_accessor :password
    attr_accessor :circuit_breaker_timeout
    attr_accessor :circuit_breaker_threshold
  end
end
